Debian Bug report logs - #383358
gzip: zless doesn't handle filenames with dollar signs correctly

version graph

Package: gzip; Maintainer for gzip is Bdale Garbee <bdale@gag.com>; Source for gzip is src:gzip.

Reported by: Sami Liedes <sliedes@cc.hut.fi>

Date: Wed, 16 Aug 2006 18:49:06 UTC

Severity: normal

Found in version gzip/1.3.5-14

Fixed in version gzip/1.3.12-1

Done: Bdale Garbee <bdale@gag.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#383358; Package gzip. Full text and rfc822 format available.

Acknowledgement sent to Sami Liedes <sliedes@cc.hut.fi>:
New Bug report received and forwarded. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sami Liedes <sliedes@cc.hut.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gzip: zless doesn't handle filenames with dollar signs correctly
Date: Wed, 16 Aug 2006 21:38:01 +0300
[Message part 1 (text/plain, inline)]
Package: gzip
Version: 1.3.5-14
Severity: normal

Example:

------------------------------------------------------------
$ echo huhuhu >t\$t.txt
$ gzip t\$t.txt
$ zless t\$t.txt.gz
gzip: t.txt.gz: No such file or directory
"t$t.txt.gz" may be a binary file.  See it anyway?
------------------------------------------------------------

	Sami


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-1-amd64-k8
Locale: LANG=C, LC_CTYPE=fi_FI@euro (charmap=ISO-8859-15)

Versions of packages gzip depends on:
ii  debianutils                   2.17       Miscellaneous utilities specific t
ii  libc6                         2.3.6-19   GNU C Library: Shared libraries

gzip recommends no packages.

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bdale Garbee <bdale@gag.com>:
Bug#383358; Package gzip. Full text and rfc822 format available.

Acknowledgement sent to Paul Eggert <eggert@CS.UCLA.EDU>:
Extra info received and forwarded to list. Copy sent to Bdale Garbee <bdale@gag.com>. Full text and rfc822 format available.

Message #10 received at 383358@bugs.debian.org (full text, mbox):

From: Paul Eggert <eggert@CS.UCLA.EDU>
To: 383358@bugs.debian.org
Cc: bug-gzip@gnu.org
Subject: gzip: zless doesn't handle filenames with dollar signs correctly
Date: Fri, 29 Dec 2006 20:09:17 -0800
Thanks for reporting the problem.  This is really a 'less' bug, not a
gzip bug, but I installed the following into upstream gzip to work
around the 'less' bug.

2006-12-29  Paul Eggert  <eggert@cs.ucla.edu>

	* zless.in: Work around a bug in less 394 and earlier; it
	mishandles $%=~ in file names.  Problem reported by
	Sami Liedes in <http://bugs.debian.org/383358>.

2006-12-29  Paul Eggert  <eggert@cs.ucla.edu>

	* zless.in: Work around a bug in less 394 and earlier; it
	mishandles $%=~ in file names.  Problem reported by
	Sami Liedes in <http://bugs.debian.org/383358>.

--- zless.in	9 Dec 2006 04:25:56 -0000	1.5
+++ zless.in	30 Dec 2006 04:06:06 -0000
@@ -38,5 +38,16 @@ case $1 in
 --version) exec echo "$version";;
 esac
 
+if test "${LESSMETACHARS+set}" != set; then
+  # Work around a bug in less 394 and earlier;
+  # it mishandles the metacharacters '$%=~'.
+  space=' '
+  tab='	'
+  newline='
+'
+  LESSMETACHARS="$space$tab$newline'"';*?"()<>[|&^`#\$%=~'
+  export LESSMETACHARS
+fi
+
 LESSOPEN="|gzip -cdfq -- %s"; export LESSOPEN
 exec less "$@"



Reply sent to Bdale Garbee <bdale@gag.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sami Liedes <sliedes@cc.hut.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 383358-close@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: 383358-close@bugs.debian.org
Subject: Bug#383358: fixed in gzip 1.3.12-1
Date: Wed, 13 Jun 2007 23:02:06 +0000
Source: gzip
Source-Version: 1.3.12-1

We believe that the bug you reported is fixed in the latest version of
gzip, which is due to be installed in the Debian FTP archive:

gzip_1.3.12-1.diff.gz
  to pool/main/g/gzip/gzip_1.3.12-1.diff.gz
gzip_1.3.12-1.dsc
  to pool/main/g/gzip/gzip_1.3.12-1.dsc
gzip_1.3.12-1_i386.deb
  to pool/main/g/gzip/gzip_1.3.12-1_i386.deb
gzip_1.3.12.orig.tar.gz
  to pool/main/g/gzip/gzip_1.3.12.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 383358@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bdale Garbee <bdale@gag.com> (supplier of updated gzip package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 13 Jun 2007 18:55:42 -0400
Source: gzip
Binary: gzip
Architecture: source i386
Version: 1.3.12-1
Distribution: unstable
Urgency: low
Maintainer: Bdale Garbee <bdale@gag.com>
Changed-By: Bdale Garbee <bdale@gag.com>
Description: 
 gzip       - The GNU compression utility
Closes: 177942 225864 362786 366660 367400 383358 402042 404062 404099 404114 419895
Changes: 
 gzip (1.3.12-1) unstable; urgency=low
 .
   * new upstream version, closes: #177942, #225864, #362786, #366660, #367400,
     #383358, #402042, #404099, #404114, #419895
   * fix delivery of upstream ChangeLog, closes: #404062
Files: 
 d33a83601c01806bf7117e92ad49cf94 553 utils required gzip_1.3.12-1.dsc
 b5bac2d21840ae077e0217bc5e4845b1 462169 utils required gzip_1.3.12.orig.tar.gz
 ee3961eed29e786f60c13533b0836cf0 11721 utils required gzip_1.3.12-1.diff.gz
 b99c1f2c598ee0ab2a3bedbc0674ec63 101672 utils required gzip_1.3.12-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGcHZKZKfAp/LPAagRAp1hAJ9RoVn9dZDF1ma/+wiolZjixO46sQCeIdX+
yca5Z77H6gKKoLCCGfFHjKk=
=BHHf
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Jul 2007 07:52:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:30:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.